### GET /export/activity/{taskId} Source: https://apidocs.agillic.net/export/openapi API endpoint for GET /export/activity/{taskId} ```markdown ### Parameters - **taskId** (string, path, required): Task id - **pageStart** (integer (int32), query, optional): Page index ### Responses #### 200 - OK **AgillicPagedModelExportLine** - **links** (array (object)) (example: [{"ref":"first","href":"https://eu1-api.agillic.net/export/activity/abcd123?pageStart=1"},{"ref":"self","href":"https://eu1-api.agillic.net/export/activity/abcd123?pageStart=1"},{"ref":"next","href":"https://eu1-api.agillic.net/export/activity/abcd123?pageStart=2"}]) Array items: - **rel** (string) - **href** (string) - **hreflang** (string) - **media** (string) - **title** (string) - **type** (string) - **deprecation** (string) - **profile** (string) - **name** (string) - **content** (array (object)) Array items: - **empty** (boolean) - **page** (object) - **size** (integer (int64)) - **totalElements** (integer (int64)) - **totalPages** (integer (int64)) - **number** (integer (int64)) #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api-eu1.agillic.net/export/activity/{taskId}?pageStart=1" ``` ``` -------------------------------- ### GET /export/activity/task/{taskId} Source: https://apidocs.agillic.net/export/openapi Returns the Task status ("processing" or "completed") of a previously started task. When completed it may contain details about the result of task. The status information is stored for 2 days ```markdown ### Parameters - **taskId** (string, path, required): Task identifier ### Responses #### 200 - OK **TaskStatus** - **taskId** (string) (required): UUID reference to a previously started operation - **status** (string (processing|completed)) (required): The status will be "processing" from the time an operation has been accepted until completion (completed) ("processing"|"completed") - **details** (object): Optional map of key/value pairs that provide information about the completed operation #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api-eu1.agillic.net/export/activity/task/{taskId}" ``` ``` -------------------------------- ### Schema: TaskId Source: https://apidocs.agillic.net/export/openapi The Task ID returned when starting a asynchronous operation ```markdown ## Schema: TaskId The Task ID returned when starting a asynchronous operation **Type:** object - **taskId** (string) (required): UUID of the started asynchronous operation ``` -------------------------------- ### Schema: Callback Source: https://apidocs.agillic.net/export/openapi Callback configuration ```markdown ## Schema: Callback Callback configuration **Type:** object - **on** (string (every|success|failure)) (example: "one of the following: every, success, failure") ("every"|"success"|"failure") - **url** (string) (example: "https://webhook.com/uuid") ``` -------------------------------- ### API Overview: Export API Source: https://apidocs.agillic.net/export/openapi OpenAPI specification version 2.0 ```yaml # Export API # Version: 2.0 OpenAPI specification # Base URL: https://api-eu1.agillic.net ``` -------------------------------- ### Schema: Configuration Source: https://apidocs.agillic.net/export/openapi Additional request config ```markdown ## Schema: Configuration Additional request config **Type:** object - **callback** (object): Callback configuration - **on** (string (every|success|failure)) (example: "one of the following: every, success, failure") ("every"|"success"|"failure") - **url** (string) (example: "https://webhook.com/uuid") ``` -------------------------------- ### Security: basicAuth Source: https://apidocs.agillic.net/export/openapi Security scheme: basicAuth ```markdown ## Security: basicAuth **Description:** Security scheme: basicAuth **Type:** http **Scheme:** basic ``` -------------------------------- ### Schema: Link Source: https://apidocs.agillic.net/export/openapi Schema definition for Link ```markdown ## Schema: Link Schema definition for Link **Type:** object - **rel** (string) - **href** (string) - **hreflang** (string) - **media** (string) - **title** (string) - **type** (string) - **deprecation** (string) - **profile** (string) - **name** (string) ``` -------------------------------- ### Schema: AsyncActivityExportRequest Source: https://apidocs.agillic.net/export/openapi Activity Export parameters ```markdown ## Schema: AsyncActivityExportRequest Activity Export parameters **Type:** object - **configuration** (object): Additional request config - **callback** (object): Callback configuration - **on** (string (every|success|failure)) (example: "one of the following: every, success, failure") ("every"|"success"|"failure") - **url** (string) (example: "https://webhook.com/uuid") - **fileType** (string) (required): File type (example: "EMAIL") - **from** (string) (required): Start of export window. Must follow configured API timestamp format. (example: "13.06.2025 00:00:00") - **to** (string) (required): End of export window. Must follow configured API timestamp format. (example: "13.06.2025 05:00:00") ``` -------------------------------- ### POST /export/activity/:execute Source: https://apidocs.agillic.net/export/openapi Operation executes an Activity Export for a given file type. After completion of this task, the client will be able to query the pages using the returned taskId. The amount of concurrent executions is limited, and exceeding this limit will result in a failed task. ```markdown ### Request Body **Content-Type:** application/json - **configuration** (object): Additional request config - **callback** (object): Callback configuration - **on** (string (every|success|failure)) (example: "one of the following: every, success, failure") ("every"|"success"|"failure") - **url** (string) (example: "https://webhook.com/uuid") - **fileType** (string) (required): File type (example: "EMAIL") - **from** (string) (required): Start of export window. Must follow configured API timestamp format. (example: "13.06.2025 00:00:00") - **to** (string) (required): End of export window. Must follow configured API timestamp format. (example: "13.06.2025 05:00:00") ### Responses #### 202 - Accepted **TaskId** - **taskId** (string) (required): UUID of the started asynchronous operation #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X POST "https://api-eu1.agillic.net/export/activity/:execute" \ -H "Content-Type: application/json" \ -d '{ "configuration": { "callback": { "on": "one of the following: every, success, failure", "url": "https://webhook.com/uuid" } }, "fileType": "EMAIL", "from": "13.06.2025 00:00:00", "to": "13.06.2025 05:00:00" }' ``` ``` -------------------------------- ### Schema: AgillicPagedModelExportLine Source: https://apidocs.agillic.net/export/openapi Schema definition for AgillicPagedModelExportLine ```markdown ## Schema: AgillicPagedModelExportLine Schema definition for AgillicPagedModelExportLine **Type:** object - **links** (array (object)) (example: [{"ref":"first","href":"https://eu1-api.agillic.net/export/activity/abcd123?pageStart=1"},{"ref":"self","href":"https://eu1-api.agillic.net/export/activity/abcd123?pageStart=1"},{"ref":"next","href":"https://eu1-api.agillic.net/export/activity/abcd123?pageStart=2"}]) Array items: - **rel** (string) - **href** (string) - **hreflang** (string) - **media** (string) - **title** (string) - **type** (string) - **deprecation** (string) - **profile** (string) - **name** (string) - **content** (array (object)) Array items: - **empty** (boolean) - **page** (object) - **size** (integer (int64)) - **totalElements** (integer (int64)) - **totalPages** (integer (int64)) - **number** (integer (int64)) ``` -------------------------------- ### Schema: ExportLine Source: https://apidocs.agillic.net/export/openapi Key-value structure representing a single export line ```markdown ## Schema: ExportLine Key-value structure representing a single export line **Type:** object - **empty** (boolean) ``` -------------------------------- ### Schema: PageMetadata Source: https://apidocs.agillic.net/export/openapi Schema definition for PageMetadata ```markdown ## Schema: PageMetadata Schema definition for PageMetadata **Type:** object - **size** (integer (int64)) - **totalElements** (integer (int64)) - **totalPages** (integer (int64)) - **number** (integer (int64)) ``` -------------------------------- ### Schema: TaskStatus Source: https://apidocs.agillic.net/export/openapi The current status of a task. If status is "completed" there might be additional information in details ```markdown ## Schema: TaskStatus The current status of a task. If status is "completed" there might be additional information in details **Type:** object - **taskId** (string) (required): UUID reference to a previously started operation - **status** (string (processing|completed)) (required): The status will be "processing" from the time an operation has been accepted until completion (completed) ("processing"|"completed") - **details** (object): Optional map of key/value pairs that provide information about the completed operation ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.